# Generated by Django 5.0.4 on 2024-05-02 03:25

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("items", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Parsing",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("start_dt", models.DateTimeField(null=True, verbose_name="Время начала")),
                ("end_dt", models.DateTimeField(null=True, verbose_name="Время окончания")),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("PLANNED", "Запланировано"),
                            ("RUNNING", "В процессе"),
                            ("COMPLETED", "Завершено"),
                            ("FAILED", "Прервано"),
                        ],
                        default=None,
                        null=True,
                        verbose_name="Статус",
                    ),
                ),
                (
                    "captcha_count",
                    models.PositiveSmallIntegerField(default=0, verbose_name="Кол. капчей"),
                ),
                ("errors", models.PositiveSmallIntegerField(default=0, verbose_name="Кол. ошибок")),
                (
                    "category",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        related_query_name="+",
                        to="items.category",
                    ),
                ),
            ],
        ),
    ]
